Page MenuHomePhabricator

Please add http://lh2.ggpht.com to $wgCopyUploadsDomains
Closed, ResolvedPublic

Description

Hi,

In the upcoming weeks, Rijksmuseum staff and I will do a GWtoolset upload of approx. 2,600 images of artworks in the Rijksmuseum collection.
All images will be uploaded from the domain http://lh2.ggpht.com ... would it be possible to whitelist this domain?

Thank you, Sandra Fauconnier User:Spinster

Event Timeline

Spinster created this task.Aug 31 2015, 9:13 AM
Spinster updated the task description. (Show Details)
Spinster raised the priority of this task from to Needs Triage.
Spinster added a subscriber: Spinster.
Restricted Application added subscribers: Bawolff, Steinsplitter, Matanya, Aklapper. · View Herald TranscriptAug 31 2015, 9:13 AM

We should allow this domain only on a temporary basis.

It's a shared domain for applications hosted on Google Cloud services, which contains the relevant photo but also non free fair use pictures from the game Ingress.

As it seems it's generally used by professional editors (Google itself for Ingress, Rijks museum for the current case), this is not a severe issue, so we can proceed, but not longer than required for the GLAM import operation.

@Spinster are you sure it's well on lh2.ggpht.com? There are also lh3 to lh6 live. Furthermore, DNS for lh2 seems now down.

Hi @Dereckson, you are correct - there are also images for the upload on lh3, lh4, lh5 and lh6.
Good to know that it's a Google Cloud server and I understand you want to be careful with this. I think we will be uploading till early October. Is that OK?

Yes, that looks good to me.

Change 234980 had a related patch set uploaded (by Dereckson):
Add *.ggpht.com to Wikimedia Commons upload whitelist

https://gerrit.wikimedia.org/r/234980

greg added a subscriber: greg.Sep 13 2015, 7:21 PM

Let's file a task to revert this in some amount of time so we don't forget. Probably some number of weeks after they start?

Change 234980 merged by jenkins-bot:
Add *.ggpht.com to Wikimedia Commons upload whitelist

https://gerrit.wikimedia.org/r/234980

Krenair closed this task as Resolved.Sep 14 2015, 3:02 PM
Krenair added a subscriber: Krenair.